<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/dashboard_model_padding_horizontal"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/showCpu"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/dashboard_model_background"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_cpu"
            style="@style/TextWhite"
            android:textColor="@color/black"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:textSize="14sp"
            android:text="@string/cpu_status"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/title_cpu"
            android:layout_alignBottom="@id/title_cpu"
            android:layout_alignParentEnd="true"
            android:paddingHorizontal="5dp"
            android:src="@mipmap/top_grey_more" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_cpu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/title_cpu"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp" />


    </RelativeLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/module_cpu"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dashboard_model_padding_horizontal"
        android:background="@drawable/dashboard_model_background"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical">

        <ImageView
            android:id="@+id/end_im"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/top_grey_more"
            android:paddingHorizontal="5dp"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/text_cpu0"
            style="@style/TextContent"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@string/cpu_0"
            android:textSize="14sp"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@id/text_cpu1"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="RelativeOverlap" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/text_cpu1"
            style="@style/TextContent"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:textSize="14sp"
            android:text="@string/cpu_1"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintLeft_toRightOf="@id/text_cpu0"
            app:layout_constraintRight_toRightOf="@id/end_im"
            tools:ignore="RelativeOverlap" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</LinearLayout>